
-- by modelleicher
--

kranInfoHud = {};

function kranInfoHud.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function kranInfoHud:load(xmlFile)


	-- Fendt Info Hud --
	self.kranInfoHudPosX = 0.81;
    self.kranInfoHudWidth = 0.18;
    self.kranInfoHudPosY = 0.53;
    self.kranInfoHudHeight = 0.36;

	self.infoPanelkranInfoHudPath = Utils.getFilename("Hud.png", self.baseDirectory);
	self.kranInfoHudOverlay = Overlay:new("hudFendtInfoOverlay", self.infoPanelkranInfoHudPath, self.kranInfoHudPosX, self.kranInfoHudPosY, self.kranInfoHudWidth, self.kranInfoHudHeight);

	self.showkranInfoHud = false;


end;

function kranInfoHud:delete()

     	-- Fendt Info Hud --
    if self.kranInfoHudOverlay ~= nil then
		self.kranInfoHudOverlay:delete();
	end;

end;

function kranInfoHud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function kranInfoHud:keyEvent(unicode, sym, modifier, isDown)
end;

function kranInfoHud:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    

		if InputBinding.hasEvent(InputBinding.HUDINFO) then
		    self.showkranInfoHud = not self.showkranInfoHud;
		end;
		


   		

	end;			 

end;

function kranInfoHud:draw()


  	if self.kranInfoHud and self.isEntered then
		self.kranInfoHudOverlay:render();
	end;

end;

